#ifndef __KEYBOARD
#define __KEYBOARD	1

#if HIWARE
	#ifdef __cplusplus
		extern "C" {
	#endif
#endif

#include "Notation.h"


#if HIWARE
	#include <hidef.h>
#endif

#if !HIWARE
extern @interrupt void KeyboardISR (void);
#endif


#define KB_IMASKK	0x02
#define KB_MODEK	0x01
#define KB_ACK		0x04
#define KB_FLAG		0x08

#define KB_KEY0		0x01
#define KB_KEY1		0x02
#define KB_KEY2		0x04
#define KB_KEY3		0x08
#define KB_KEY4		0x10
#define KB_KEY5		0x20
#define KB_KEY6		0x40
#define KB_KEY7		0x80

#define MSG_KEYPRESS 0x08

extern void KeyboardStart (void);
extern volatile BYTE Key;
//extern unsigned char sysTickTBM;

//#define sysConfigTBM volatile (unsigned char *)0x1C


#endif

