/*/////////////////////////////////////////////////////////////////////////////

File Name : Icmp.h

Author : Rene Trenado

Location : Motorola Applications Lab, Baja California

Date Created : January 2001

Current Revision : 0.0

Notes : This file contains Icmp module specific definitions

/////////////////////////////////////////////////////////////////////////////*/
#ifndef __ICMP_H
#define __ICMP_H

#include "Notation.h"

typedef struct {
	BYTE 	Type;
	BYTE 	Code;
	WORD 	Checksum;
	WORD 	Identifier;
	WORD 	SeqNumber;
} ICMPDatagram;

#define	ECHO		8
#define ECHO_REPLY	0
#define TRACEROUTE	30

void IcmpHandler (IPDatagram *ip);
void IcmpPing (BYTE Ip[]);

#endif
